#include "font.h"

Font::Font(void)
{
	pFont = NULL;
}

Font::~Font(void)
{
	_RELEASE_	(pFont);
	_DELETE_	(pFont);
}

void Font::Init(LPDIRECT3DDEVICE8 Device, HFONT Font)
{
	d3d_Device = Device;							//   
    D3DXCreateFont (Device, Font, &pFont);			//  
}

void Font::Print(char* text, int x, int y, D3DCOLOR Color)
{
    Rect.left 	= x;								//   
    Rect.top	= y; 								//    Rect, 
    Rect.bottom	= 0;								//    
    Rect.right 	= 0;

    pFont->Begin();									//   
    pFont->DrawTextA (text, -1, &Rect, 0, Color);	//     ,   
    pFont->End();									//   
}

void Font::Restore(void)
{
	pFont->OnLostDevice ();			//   (  )
	pFont->OnResetDevice ();		//  
}
